Bug 25241 - ipfw shouldn't show dynamics rules when specific rules are requested
Summary: ipfw shouldn't show dynamics rules when specific rules are requested
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 4.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Luigi Rizzo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-02-21 02:20 UTC by James E. Housley
Modified: 2021-01-18 13:42 UTC (History)
0 users

See Also:


Attachments
file.diff (2.83 KB, patch)
2001-02-21 02:20 UTC, James E. Housley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James E. Housley 2001-02-21 02:20:01 UTC
	When using ipfw in a stateful mode all the current dynamic rules
	are displayed even when specific rules are requested.  The attached
	patch only displays the dynamic rules when no specific rules are
	requested.

	A better solution might be to bring "Display Dynamic" into a
	seperate function.  Thus allowing the static and dynamic rules matching
	a requested rule number to be displayed.
Comment 1 jeh freebsd_committer 2001-02-21 02:43:27 UTC
Responsible Changed
From-To: freebsd-bugs->luigi

luigi is the maintainer of ipfw
Comment 2 Luigi Rizzo freebsd_committer 2003-07-22 08:42:15 UTC
State Changed
From-To: open->closed

this is fixed in ipfw2 at lead (possibly in ipfw1 too)
Comment 3 commit-hook freebsd_committer 2021-01-13 21:29:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=818390ce0ca539300dd15d7a817784f1e3f7a9b8

commit 818390ce0ca539300dd15d7a817784f1e3f7a9b8
Author:     Mitchell Horne <mhorne@FreeBSD.org>
AuthorDate: 2021-01-13 18:30:50 +0000
Commit:     Mitchell Horne <mhorne@FreeBSD.org>
CommitDate: 2021-01-13 21:27:44 +0000

    arm64: fix early devmap assertion

    The purpose of this KASSERT is to ensure that we do not run out of space
    in the early devmap. However, the devmap grew beyond its initial size of
    2MB in r336519, and this assertion did not grow with it.

    A devmap mapping of a 1080p framebuffer requires 1920x1080 bytes, or
    1.977 MB, so it is just barely able to fit without triggering the
    assertion, provided no other devices are mapped before it. With the
    addition of `options GDB` in GENERIC by bbfa199cbc16, the uart is now
    mapped for the purposes of a debug port, before mapping the framebuffer.
    The presence of both these conditions pushes the selected virtual
    address just below the threshold, triggering the assertion.

    To fix this, use the correct size of the devmap, defined by
    PMAP_MAPDEV_EARLY_SIZE. Since this code is shared with RISC-V, define
    it for that platform as well (although it is a different size).

    PR:             25241
    Reported by:    gbe
    MFC after:      3 days
    Sponsored by:   The FreeBSD Foundation

 sys/kern/subr_devmap.c      | 2 +-
 sys/riscv/include/vmparam.h | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)
Comment 4 commit-hook freebsd_committer 2021-01-18 13:42:47 UTC
A commit in branch stable/12 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=a45328a1daa7512ee90170c1599a8aa09e391772

commit a45328a1daa7512ee90170c1599a8aa09e391772
Author:     Mitchell Horne <mhorne@FreeBSD.org>
AuthorDate: 2021-01-13 18:30:50 +0000
Commit:     Mitchell Horne <mhorne@FreeBSD.org>
CommitDate: 2021-01-18 13:41:46 +0000

    arm64: fix early devmap assertion

    PR:             25241
    Reported by:    gbe
    Sponsored by:   The FreeBSD Foundation

    (cherry picked from commit 818390ce0ca539300dd15d7a817784f1e3f7a9b8)

 sys/kern/subr_devmap.c      | 2 +-
 sys/riscv/include/vmparam.h | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)